Virtual Disk Manager Release Managed Snapshot

Virtual Disk Manager Release Managed Snapshot
Release a snapshot previously imported with importUnmanagedSnapshot

Release a snapshot previously imported with importUnmanagedSnapshot

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/VirtualDiskManager/{moId}/ReleaseManagedSnapshot
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VirtualDiskManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ReleaseManagedSnapshotRequestType of type(s) application/json
Required

Show optional properties

{
    "vdisk": "string"
}
{
    "vdisk": "string",
    "datacenter": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
string
vdisk
Required

- The name of the disk to release, either a datastore path or a URL referring to the virtual disk.

datacenter
Optional

If vdisk is a datastore path, the datacenter for that datastore path. Not needed when invoked directly on ESX. If not specified on a call to VirtualCenter, vdisk must be a URL.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

FileNotFound: if vdisk is not found

InvalidDatastore: if the operation cannot be performed on the datastore.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"vdisk":"string"}' https://{api_host}/sdk/vim25/{release}/VirtualDiskManager/{moId}/ReleaseManagedSnapshot